mod bytes;
mod bytes_base64;
mod cbc;
mod ctr;
mod ecb;
mod mt19937;
mod mtcipher;
mod parser;
mod set1;
mod set2;
mod set3;
mod set4;
mod utils;

fn main() {
    const RUN_ALL: bool = true;
    if RUN_ALL {
        set1::challenge1();
        set1::challenge2();
        set1::challenge3();
        set1::challenge4();
        set1::challenge5();
        set1::challenge6();
        set1::challenge7();
        set1::challenge8();
        set2::challenge9();
        set2::challenge10();
        set2::challenge11();
        set2::challenge12();
        set2::challenge13();
        set2::challenge14();
        set2::challenge15();
        set2::challenge16();
        set3::challenge17();
        set3::challenge18();
        set3::challenge19();
        set3::challenge20();
        set3::challenge21();
        set3::challenge22();
        set3::challenge23();
        set3::challenge24();
        set4::challenge25();
        set4::challenge26();
    } else {
        set4::challenge26();
    }
}
